Package it.ernytech.tdlib

## Class TdApi.StorageStatisticsByChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.StorageStatisticsByChat

Enclosing class:
  TdApi

    public static class TdApi.StorageStatisticsByChat
    extends TdApi.Object

Contains the storage usage statistics for a specific chat.

### Field Summary

Fields
`TdApi.StorageStatisticsByFileType[]` `byFileType` Statistics split by file types.
`long` `chatId` Chat identifier; 0 if none.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `count` Total number of files in the chat.
`long` `size` Total size of the files in the chat.

### Constructor Summary

Constructors
`StorageStatisticsByChat()` Default constructor.
`StorageStatisticsByChat​(long chatId, long size, int count, TdApi.StorageStatisticsByFileType[] byFileType)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier; 0 if none.

#### size

    public long size

Total size of the files in the chat.

#### count

    public int count

Total number of files in the chat.

#### byFileType

    public TdApi.StorageStatisticsByFileType[] byFileType

Statistics split by file types.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### StorageStatisticsByChat

    public StorageStatisticsByChat()

Default constructor.

#### StorageStatisticsByChat

    public StorageStatisticsByChat​(long chatId,
                                   long size,
                                   int count,
                                   TdApi.StorageStatisticsByFileType[] byFileType)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier; 0 if none.
  `size` - Total size of the files in the chat.
  `count` - Total number of files in the chat.
  `byFileType` - Statistics split by file types.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR